io.vertx.ext.web.handler.sockjs

## Enum Transport

- java.lang.Object
- - java.lang.Enum<Transport>
  - - io.vertx.ext.web.handler.sockjs.Transport

- All Implemented Interfaces:
    Serializable, Comparable<Transport>

      public enum Transport
      extends Enum<Transport>

  The available SockJS transports
  Author:
    Tim Fox

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EVENT_SOURCE`
    `HTML_FILE`
    `JSON_P`
    `WEBSOCKET`
    `XHR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Transport` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Transport[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WEBSOCKET

          public static final Transport WEBSOCKET

    - #### EVENT_SOURCE

          public static final Transport EVENT_SOURCE

    - #### HTML_FILE

          public static final Transport HTML_FILE

    - #### JSON_P

          public static final Transport JSON_P

    - #### XHR

          public static final Transport XHR

  - ### Method Detail

    - #### values

          public static Transport[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Transport c : Transport.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Transport valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All Rights Reserved.